/****************************************************************************
    $Id: ibm.h 501.0 1995/03/07 12:26:42 RON Exp $

    Copyright (c) 1991-95 Tarma Software Research. All rights reserved.

    Project:	Tarma Library for C++ V5.0
    Author:	Ron van der Wal

    IBM-specific declarations of compilation and keyword-like names.

    $Log: ibm.h $
    Revision 501.0  1995/03/07 12:26:42  RON
    Updated for TLX 5.01
    Revision 1.5  1995/01/31 16:32:10  RON
    Update for release 012
    Added partial support for SunPro C++ compiler
    Revision 1.4  1994/11/16  15:21:27  ron
    Added _CCNAME, _CCVER, and _MODEL definitions

    Revision 1.3  1994/10/06  17:47:13  ron
    Added _NOMUTABLE

    Revision 1.2  1994/09/08  15:53:42  ron
    Moved O/S-specific macros into this file

    Revision 1.1  1994/08/16  18:06:48  ron
    Initial revision

****************************************************************************/

#ifndef _TLX_IBM_H
#define _TLX_IBM_H

#if !defined(__IBMC__) && !defined(__IBMCPP__)
#error This file is for IBM compilations only
#endif

#define _CCNAME		IBM CSet++
#define _CCVER		__IBMCPP__

#ifdef __DLL__
    #define _IN_DLL	1
#endif

#if __IBMCPP__ < 0x300
#define _NORTTI		1
#define _NOBOOL		1
#define _NOMUTABLE	1
#else
#endif

#define _Near
#define _Far
#define _Huge
#define _MODEL		Flat

#define _ExportClass	_Export
#define _ExportFunc	_Export
#define _ExportData	_Export

#define _ImportClass	_Import
#define _ImportFunc	_Import
#define _ImportData	_Import

#if defined(__OS2__)
#define OS_OS2      	1
#elif defined(_WIN32)
#define OS_WIN32      	1
#define OS_WINXXX      	1
#else
#error Unknown target platform
#endif

#define _CPU_I86    	1
#define _LENDIAN    	1
#define _NULL_IS_0  	1
#define _MEM_FLAT   	1

#endif	/* _TLX_IBM_H */
